// Header File
// Created 02/08/2004; 22:25:46

#ifndef ARCH_H
#define ARCH_H

typedef struct ARCH
{
	FILE * archfile;
	short set;
	short apos;
	short size;
	char filename[9];
}ARCH;

ARCH * aopen (FILE * f, const char * subfilename); // open a file named subfilename in a normal file
ARCH * aopenarch (ARCH * arch, const char * subfilename); // open a file named subfilename in an opened arch file (sub level of imbrication)
void aclose (ARCH * arch); // close an opened arch file
unsigned short aread (void * ptr, unsigned short size, unsigned short n, ARCH * arch); // like fread but in arch files
short aseek (ARCH * arch, short offset, short whence); // like fseek but in arch files

#endif
