// C Source File
// Created 03/08/2004; 01:09:21

#include <tigcclib.h>
#include "arch.h"
#define BUFFER_SIZE 1024

// Main Function
void _main(void)
{
	FILE * arch;
	FILE * fic;
	ARCH * f;
	unsigned char * buff;
	unsigned short buff_length;
	ESI argptr;
	int argtype;

	InitArgPtr (argptr);
	if ((argtype = GetArgType (argptr)) == END_TAG)
		return;
	if (argtype != STR_TAG)
		return;
	if ((arch = fopen (GetStrnArg (argptr), "rb")) == NULL)
		return;

	if ((buff = (unsigned char *)malloc(sizeof(unsigned char) * BUFFER_SIZE)) == NULL)
	{
		fclose (arch);
		return;		
	}

	if ((argtype = GetArgType (argptr)) == END_TAG)
	{
		fclose (arch);
		return;		
	}
	if (argtype != STR_TAG)
	{
		fclose (arch);
		return;		
	}
	if ((f = aopen (arch, GetStrnArg (argptr))) == NULL)
	{
		fclose (arch);
		return;		
	}

	if ((argtype = GetArgType (argptr)) == END_TAG)
	{
		aclose (f);
		fclose (arch);
		return;
	}
	if (argtype != STR_TAG)
	{
		aclose (f);
		fclose (arch);
		return;
	}
	if ((fic = fopen (GetStrnArg (argptr), "wb")) == NULL)
	{
		aclose (f);
		fclose (arch);
		return;		
	}

	while ((buff_length = aread (buff, sizeof(unsigned char), BUFFER_SIZE, f)))
	{
		fwrite (buff, sizeof(unsigned char), buff_length, fic);
	}
	
	aclose (f);
	fclose (arch);
	fclose (fic);
	free (buff);
}
